# Course Registrations Course Registrations ## Gets all of the course registrations in the system. - [GET /courseRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listcourseregistrations.md): This method will scan all course registrations and and return them to the caller. ## Creates a new course registration record that does not already exist. - [POST /courseRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/createcourseregistration.md): This method will auto-generate an ID and create a new course registration. If an ID is specified for the course registration, an error will be thrown. ## Returns a list of records with the specified application_id - [GET /courseRegistrations/{tenantId}/application/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbyapplicationid.md): Returns a list of records with the specified application_id ## Execute Batch Operations - [POST /courseRegistrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified course_id - [GET /courseRegistrations/{tenantId}/course/{course_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbycourseid.md): Returns a list of records with the specified course_id ## Returns a list of records with the specified course_offering_id - [GET /courseRegistrations/{tenantId}/courseOffering/{course_offering_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbycourseofferingid.md): Returns a list of records with the specified course_offering_id ## Returns a list of records with the specified event_registration_id - [GET /courseRegistrations/{tenantId}/eventRegistration/{event_registration_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbyeventregistrationid.md): Returns a list of records with the specified event_registration_id ## Generates an order from a membership registration - [POST /courseRegistrations/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/generateorder.md): This method will courseine a cert course reg and generate an appropriate order ## Generates an registration for a contact - [POST /courseRegistrations/{tenantId}/generateRegistration/{processId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/generateregistration.md) ## Returns a list of records with the specified order_id - [GET /courseRegistrations/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbyorderid.md): Returns a list of records with the specified order_id ## Sends out a preview of the CRC notification email - [POST /courseRegistrations/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/previewemail.md): Sends out a preview of the CRC notification email ## Searches for course registrations using predefined parameters - [POST /courseRegistrations/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/searchforcourseregistrations.md): Searches for course registrations using predefined parameters ## Returns a list of records with the specified student_id - [GET /courseRegistrations/{tenantId}/student/{student_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbystudentid.md): Returns a list of records with the specified student_id ## Returns a list of records with the specified student_course_id - [GET /courseRegistrations/{tenantId}/studentCourse/{student_id}/{course_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/listregistrationsbystudentidandcourseid.md): Returns a list of records with the specified student_course_id ## Transfer a course registration to new student/offering - [POST /courseRegistrations/{tenantId}/transferRegistration/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/transferregistration.md): This method will courseine a cert course reg and generate an appropriate order ## Returns a course registration from the system by its ID. - [DELETE /courseRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/deletecourseregistration.md): This method will delete a course registration with the specified ID. ## Returns a course registration from the system by its ID. - [GET /courseRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/getcourseregistration.md): This method will look up a course registration by the specified ID and return it back. ## Partially updates a course registration with the specified ID. - [PATCH /courseRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/patchcourseregistration.md): This method will patch an existing course registration with the specified ID, using the HTTP PATCH specification. ## Updates a course registration with the specified ID. - [PUT /courseRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-registrations/updatecourseregistration.md): This method will update an existing course registration with the specified ID.